This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | Table
Name | ### getRowCount()
Examples |
    Table table;

    void setup() {

      table = new Table();

      table.addColumn("name");
      table.addColumn("type");

      println(table.getRowCount());  // Prints 0

      TableRow newRow = table.addRow();
      newRow.setString("name", "Lion");
      newRow.setString("type", "Mammal");
      println(table.getRowCount());  // Prints 1

      table.addRow();  // Creates a new blank row
      println(table.getRowCount());  // Prints 2
    }
Description | Returns the total number of rows in a table.
Syntax |
    .getRowCount()
Returns | int
Related | getColumnCount()

Updated on October 26, 2013 08:58:34pm PDT